gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.VBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A vertical container box

Synopsis

- data VBox
- class BoxClass o => VBoxClass o
- castToVBox :: GObjectClass obj => obj -> VBox
- gTypeVBox :: GType
- toVBox :: VBoxClass o => o -> VBox
- vBoxNew :: Bool -> Int -> IO VBox

# Detail

`VBox` is a container that organizes child widgets into a single column.

Use the `Box` packing interface to determine the arrangement, spacing, height, and alignment of `VBox` children.

All children are allocated the same width.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----VBox
    | +----ColorSelection
    | +----FileChooserWidget
    | +----FontSelection

# Types

data VBox Source #

#### Instances

Instances details

Eq VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: VBox -> VBox -> Bool Source # (/=) :: VBox -> VBox -> Bool Source #
Ord VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: VBox -> VBox -> Ordering Source # (<) :: VBox -> VBox -> Bool Source # (<=) :: VBox -> VBox -> Bool Source # (>) :: VBox -> VBox -> Bool Source # (>=) :: VBox -> VBox -> Bool Source # max :: VBox -> VBox -> VBox Source # min :: VBox -> VBox -> VBox Source #
GObjectClass VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: VBox -> GObject Source # unsafeCastGObject :: GObject -> VBox Source #
BoxClass VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class BoxClass o => VBoxClass o Source #

#### Instances

Instances details

VBoxClass ColorSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass FileChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass FontSelection Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass RecentChooserWidget Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VBoxClass VBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToVBox :: GObjectClass obj => obj -> VBox Source #

gTypeVBox :: GType Source #

toVBox :: VBoxClass o => o -> VBox Source #

# Constructors

vBoxNew Source #

Arguments

:: Bool | `homogeneous` - `True` if all children are to be given equal space allotments.
-> Int | `spacing` - the number of pixels to place by default between children.
-> IO VBox |

Creates a new `VBox`.